task DownSample {

  String sample_id
  File fastq
  Float p
  String docker
  String cluster_config
  String disk_size
  
  command <<<
    set -o pipefail
    set -e
    seqkit sample --two-pass -s 100 -p ${p} ${fastq} -o ${sample_id}.fastq.gz
  >>>

  runtime {
    docker: docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }
  output {
    File out_fastq = "${sample_id}.fastq.gz"
  }

}
